<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myProductPurchaseOrderLabel" jhiTranslate="mpmApp.productPurchaseOrder.home.createOrEditLabel">Create or edit a Product Purchase Order</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!productPurchaseOrder.idOrder">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="productPurchaseOrder.idOrder" readonly />
                </div>

                <div class="form-group" *ngIf="idVendor === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.productPurchaseOrder.vendor" for="field_vendor">Vendor</label>
                    <select class="form-control" id="field_vendor" name="vendor" [(ngModel)]="productPurchaseOrder.vendorId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="vendorOption.idVendor" *ngFor="let vendorOption of vendors; trackBy: trackVendorById">{{vendorOption.organization.name}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idInternal === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.productPurchaseOrder.internal" for="field_internal">Internal</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="productPurchaseOrder.internalId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idBillTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.productPurchaseOrder.billTo" for="field_billTo">Bill To</label>
                    <select class="form-control" id="field_billTo" name="billTo" [(ngModel)]="productPurchaseOrder.billToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.partyName}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="flat-style-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="flat-style-button">
        </button>
    </div>
</form>
